## obs-studio 0.14.2

=== debian/changelog ===
obs-studio (0.14.2-0mx150+1) mx; urgency=medium

  * New upstream release.
 
  General Changes:
  * Fixed a potential freeze when reconnecting
  * Fixed a potential crash when disconnecting on program shutdown
  * Fixed a bug with transitions where under certain circumstances the audio from the target scene would not start playing until the transition was completed
  * Fixed a few potential freezes and other bugs with the media source
  * Fixed a bug where using "rescale" with the QSV encoder wouldn't work properly
  * Fixed a bug where deinterlaced sources would sometimes appear vertically flipped when deinterlacing was enabled
  * Fixed a bug where alt-crop wouldn't work properly if a source was flipped
  * Fixed a bug where you couldn't save a recording to a file or path that contained unicode characters
  * Fixed a bug where simple output mode would not record QSV at the expected bitrates relative to "high" and "indistinguishable" quality on haswell+ processors
  * Fixed a bug where switching from a scene collection with custom transitions could corrupt the scene collection being switched to
  * Fixed an issue where NVENC would use too much bitrate unnecessarily when recording, now uses CQP instead of VBR
  * Fixed an issue where NVENC constant bitrate wasn't working properly
  * Window capture on windows will no longer display anything if the window has been closed and can no longer be found.  Before it would display a frozen image of the window before it was closed
  * Game capture on windows will now prevent itself from hooking OBS projector windows when game capture is set to capture any fullscreen program
  * Game capture on windows will now try to initialize capture immediately when possible, especially on games/programs that are already hooked
  * Game capture on windows no longer acts as a global source, and when not being shown it will fully deactivate (for example it's in another scene).  This fixes an issue where game capture would sometimes show a black screen if there were other separate game captures in different scenes capturing the same thing
  * Monitor capture on windows no longer acts as a global source, and when not being shown it will fully deactivate (again for example when it's in another scene).  This fixes an issue on windows 8/10+ where monitor capture would cause unexpected lag while in a different scene when a fullscreen game is active
  * Projectors no longer minimize if the main window is minimized
  * If the main OBS window was closed on a monitor that's no longer plugged in, it will now start up on the main display rather than starting up off-screen
  * When changing encoders in advanced output mode, settings from the previous encoder will no longer try to apply to the new encoder, which may have a completely different setting layout
  * Changed the browse dialogs for the remux dialog to show the various supported file types rather than just FLV/MP4
  * Changed x264 and NVENC to have a "rate control" setting instead of a "Use CBR" setting
  * Increased NVENC bitrate limit
  * Added CQP rate control mode to NVENC encoder interface
  * Added lossless rate control mode to NVENC encoder interface
  * Added CRF rate control mode to x264 encoder interface (functions the same as when you're using VBR with 0 buffer size)
  * Added ABR rate control mode to x264 encoder interface (functions similar to CBR but without bitrate padding)
  * FFmpeg now is compiled with VP8 and VP9 support on windows

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sat, 21 May 2016 22:06:57 -0500

obs-studio (0.14.1-0mx150+1) mx; urgency=medium

  * New upstream release.
  
  0.14.1 Hotfix:
  * Fixed an issue with chroma key not working at all
  * Fixed an issue where media source wouldn't loop gif files correctly anymore
  * Fixed an issue where windows 7 would fail when checking for file/version updates
  
  0.14.0 General Changes:
  * Added deinterlacing.  Deinterlacing modes can now be used by right-clicking the source and going to "deinterlacing" in the menu to select the deinterlacing options.  Deinterlacing only works on sources that support it (video capture device source and media source primarily)
  * Added full NVIDIA NVENC encoder and deprecated the Microsoft Media Foundation NVENC encoder.  NVENC is supported for windows and linux, and can be used via the simple output mode.  (Note: To use NVENC on linux, you must compile or get a version of FFmpeg with NVENC support)
  * Added full Intel QuickSync encoder and deprecated the Microsoft Media Foundation QuickSync encoder.  The full QuickSync implementation is currently only supported on windows, and can be used via the simple output mode.
  * Added alt-cropping (cropping via the alt-key).  This type of crop only affects the specific scene item and does not affect all instances of a source.  You can also change the specific crop number values in the source transform dialog.
  * Added a 'slide' transition.  This is different from the swipe transition in that it slides in the new scene while sliding out the old scene (HWD)
  * Added a 'fade to color' transition.  This transition fades to a color and then fades to the target scene from that color. (HWD)
  * Added command line parameters:  --collection [scene collection name], --profile [profile name], --scene [scene name], --startstreaming, --startrecording.  If a collection/profile/scene has a space in the name, use quotes around the full name.
  * Added "snap to other sources" feature (enabled by default, can be disabled in general settings)
  * Added "snap to vertical/horizontal center" feature (disabled by default, option to enable is in general settings)
  * Added the ability to turn off all snapping in general settings (reminder that you can always temporarily disable snapping by holding down the control key while dragging/resizing)
  * Added options to change the recording file name formatting in advanced settings

