=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
#XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Carl Fürstenberg <azatoth@gmail.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 cmake (>= 2.8.12),
 debhelper (>= 9),
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libjack-dev,
 libjansson-dev (>= 2.5),
 libpulse-dev,
 libqt5x11extras5-dev,
 libswresample-dev,
 libswscale-dev,
 libudev-dev,
 libv4l-dev,
 libx11-dev,
 libx264-dev,
 libxcb-shm0-dev,
 libxcb-xinerama0-dev,
 libxcomposite-dev,
 libxinerama-dev,
 qtbase5-dev
Standards-Version: 3.9.7
Homepage: https://obsproject.com
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/obs-studio.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/obs-studio.git

Package: obs-studio
Architecture: any
Breaks: obs-studio (<< 0.13.2)
Conflicts: obs-studio (<< 0.13.2)
Depends: obs-plugins (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling

Package: obs-plugins
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Multi-Arch: same
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends:
 libobs0 (= ${binary:Version}),
 ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.
