## obs-studio 0.14.2+dfsg1

=== debian/changelog ===
obs-studio (0.14.2+dfsg1-3) unstable; urgency=medium

  * debian/control. Also restrict obs-plugins to any-amd64.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jul 2016 08:39:10 +0200

obs-studio (0.14.2+dfsg1-2) unstable; urgency=medium

  * debian/control: Restrict Architecture to any-amd64.
  * debian/copyright: Document Blackmagic Design copyright.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Jul 2016 19:23:10 +0200

obs-studio (0.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libobs0.symbols: Add new symbols.
  * debian/control:
    - Bump Standards-Version.
    - Add libasound2-dev to Build-Depends.
    - Mention in Description minimal OpenGL requirement.
  * debian/copyright:
    - Update Files-Excluded for new upstream version.
    - Add license information for new files.
    - Fix license information for libff and w32-pthreads.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 May 2016 22:56:30 +0200
