=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: obs-studio
 Section: video
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-#XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Carl Fürstenberg <azatoth@gmail.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- cmake (>= 2.8.12),
+ cmake,
  debhelper (>= 9),
+ libasound2-dev,
  libavcodec-dev,
  libavdevice-dev,
  libavfilter-dev,
@@ -21,7 +19,7 @@
  libfontconfig-dev,
  libfreetype6-dev,
  libgl1-mesa-dev | libgl-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libjansson-dev (>= 2.5),
  libpulse-dev,
  libqt5x11extras5-dev,
@@ -36,15 +34,13 @@
  libxcomposite-dev,
  libxinerama-dev,
  qtbase5-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://obsproject.com
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/obs-studio.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/obs-studio.git
 
 Package: obs-studio
-Architecture: any
-Breaks: obs-studio (<< 0.13.2)
-Conflicts: obs-studio (<< 0.13.2)
+Architecture: any-amd64
 Depends: obs-plugins (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content
  OBS Studio is designed for efficiently recording and streaming live video
@@ -56,10 +52,12 @@
   * File output to MP4 or FLV
   * GPU-based game capture for high performance game streaming
   * Bilinear or lanczos3 resampling
+ .
+ Note that OBS Studio requires an OpenGL 3.2 compatible video card.
 
 Package: obs-plugins
 Multi-Arch: same
-Architecture: any
+Architecture: any-amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content (plugins)
  OBS is designed for efficiently recording and streaming live video content. It
@@ -70,7 +68,7 @@
 Package: libobs0
 Multi-Arch: same
 Section: libs
-Architecture: any
+Architecture: any-amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: recorder and streamer for live video content (shared library)
  OBS Studio is designed for efficiently recording and streaming live video
@@ -80,7 +78,7 @@
 
 Package: libobs-dev
 Section: libdevel
-Architecture: any
+Architecture: any-amd64
 Depends:
  libobs0 (= ${binary:Version}),
  ${misc:Depends}
